commit:     2b06b7df011a7f7e2ee5e448d058d7c94ec085b5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 11 13:38:00 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 11 13:38:00 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b06b7df

dev-libs/libclc: Add 19.0.0_pre20240509 snapshot

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-libs/libclc/Manifest                         |  1 +
 dev-libs/libclc/libclc-19.0.0_pre20240509.ebuild | 61 ++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-libs/libclc/Manifest b/dev-libs/libclc/Manifest
index 1eab4b42dc8e..84158a6c4973 100644
--- a/dev-libs/libclc/Manifest
+++ b/dev-libs/libclc/Manifest
@@ -10,3 +10,4 @@ DIST llvm-project-18.1.5.src.tar.xz 132061072 BLAKE2B 
bfdd987d5992a4d94ae8b14792
 DIST llvm-project-18.1.5.src.tar.xz.sig 566 BLAKE2B 
ad935db71ec3b9fc885d696af440764a71fe7cafc5b3ca0b25a2963100d9cb3790392daebcac1341716c95a8da3c6243f5a8667fea1ed18b93fc8baa495414c9
 SHA512 
3cbca1059d940f3bd7bd72d68f2828039b66304980cc5f43769649e5494fc7d71117bf8aba5cc7f7a2ffca52f60ba30fadf3b28f984fd49ddb14300e30b45237
 DIST llvm-project-338561657685c1831a53563b1bc36ffc7470239e.tar.gz 209715501 
BLAKE2B 
49152479d4f2cae430e783784d0cfcc129134f5cc0bf12c72701cd15e59cb3e1be2f61385ba9baa93d1d1193e89374ac8877b909650c163b681d1fcd26732cdc
 SHA512 
d34bbe82e85c5b9d493029ad7b46e802f06f7e7a8a48515d0043c58c3251271f8f3e1e11c47eb91bd3db2477f819d33b43ddebb276eb9601c5ad141e463c9682
 DIST llvm-project-76aa042dde6ba9ba57c680950f5818259ee02690.tar.gz 210235525 
BLAKE2B 
fbbb8e70e0a08bde1fa2277746f692399fa15015b69693f5e8d3297abf02dfb7b36c535880f5c6924c870652dd3106936776d57c34b22234a5419f75b3561bb7
 SHA512 
9107551ceb2b28aa735006144b3344801ea861d7b49eae4881831af507314fb8da2bf5e8a3a407aeebd2eee01fbfad2ca90269d2331fe43cca5c2cc49dd257b7
+DIST llvm-project-a7ee81e8279e0bf6e05617a4a638e5f2f8e45022.tar.gz 210384692 
BLAKE2B 
28b85b08a42c173e1c3bf530483112b1629c7e6684a83a016fbe9f132774f7b864d793581873a6529defeabb4479ad9a3d7c025b781b2fa4952c239b6d567b11
 SHA512 
1d593818347452f96611a62fa3aa22ce4355a4ee5d5dcfcb54a286a1aa980e9531d5fb6cbee3b0ee5943c6d0f4e2ba2245e13262fe7859e5b114f9c5d5cf1417

diff --git a/dev-libs/libclc/libclc-19.0.0_pre20240509.ebuild 
b/dev-libs/libclc/libclc-19.0.0_pre20240509.ebuild
new file mode 100644
index 000000000000..d57c9ec1fe3a
--- /dev/null
+++ b/dev-libs/libclc/libclc-19.0.0_pre20240509.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LLVM_COMPAT=( {17..18} )
+PYTHON_COMPAT=( python3_{10..12} )
+inherit cmake llvm.org llvm-r1 python-any-r1
+
+DESCRIPTION="OpenCL C library"
+HOMEPAGE="https://libclc.llvm.org/";
+
+LICENSE="Apache-2.0-with-LLVM-exceptions || ( MIT BSD )"
+SLOT="0"
+IUSE="+spirv video_cards_nvidia video_cards_r600 video_cards_radeonsi"
+
+BDEPEND="
+       ${PYTHON_DEPS}
+       $(llvm_gen_dep '
+               sys-devel/clang:${LLVM_SLOT}
+               spirv? ( dev-util/spirv-llvm-translator:${LLVM_SLOT} )
+       ')
+"
+
+LLVM_COMPONENTS=( libclc )
+llvm.org_set_globals
+
+pkg_setup() {
+       llvm-r1_pkg_setup
+       python-any-r1_pkg_setup
+}
+
+src_configure() {
+       local libclc_targets=()
+
+       use spirv && libclc_targets+=(
+               "spirv-mesa3d-"
+               "spirv64-mesa3d-"
+       )
+       use video_cards_nvidia && libclc_targets+=(
+               "nvptx--"
+               "nvptx64--"
+               "nvptx--nvidiacl"
+               "nvptx64--nvidiacl"
+       )
+       use video_cards_r600 && libclc_targets+=(
+               "r600--"
+       )
+       use video_cards_radeonsi && libclc_targets+=(
+               "amdgcn--"
+               "amdgcn-mesa-mesa3d"
+               "amdgcn--amdhsa"
+       )
+       [[ ${#libclc_targets[@]} ]] || die "libclc target missing!"
+
+       libclc_targets=${libclc_targets[*]}
+       local mycmakeargs=(
+               -DLIBCLC_TARGETS_TO_BUILD="${libclc_targets// /;}"
+       )
+       cmake_src_configure
+}

Reply via email to